Predicting Airplane Delays
--------------------------
Flight delays have become a very significant issue for air travel around the world due to the associated economic losses experienced by the airline industry. also causes inconvenience. This results in longer travel times, higher food and accommodation costs, and ultimately stress for passengers. The reasons for these delays range from air congestion to weather conditions, mechanical problems, difficulty boarding passengers, or simply the airline's inability to meet demand due to capacity considerations. Since we are trying to predict if there is a delay in flight or not, hence using machine learning (ML) is a good approach for predicting flight delays as it can handle large amounts of data and recognize patterns.


Files Description:
------------------
- onpremises_u3220242.ipynb => Jupyter Notebook code file for the ML model.
- ReadMe.md => Readme file.

Installation Requirements
-------------------------
Environment
-----------
It is recommended to have a Linux or macOS development environment for convenience.
Use Anaconda to manage your packages and Python 3 (version >= 3.9.0 recommended).
It is also recommended to run the code on **Jupyter Lab/Jupyter Notebook**.

Dependencies
------------
- matplotlib
- numpy
- pandas
- scikit-learn
- pathlib2
- zipfile
- time
- seaborn
- subprocess

**Remember:** Please use `conda`, not `pip` for installing all the above libraries if they are not installed.



